## ktorrent-trinity 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( ktorrent )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )
enable_testing()


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS       "Enable all optional support"      OFF )
option( WITH_ZEROCONF          "Enable zeroconf support"          ${WITH_ALL_OPTIONS} )
option( WITH_SYSTEM_GEOIP      "Enable system-wide geoip support" ${WITH_ALL_OPTIONS} )
option( WITH_BUILTIN_GEOIP     "Enable built-in geoip support"    OFF )
option( WITH_BUILTIN_FLAGS     "Install built-in flags"           ${WITH_BUILTIN_GEOIP} )
option( WITH_TORRENT_MIMETYPE  "Install torrent mime type"        OFF )
option( WITH_MEMLEAK_TRACING   "Enable memory leak tracing"       OFF )
option( WITH_PROFILING_SUPPORT "Enable profiling support"         OFF )

option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"                 ON           )
option( BUILD_DOC          "Build documentation"       ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"        ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)


link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### subfolders

add_subdirectory( libktorrent )
add_subdirectory( plugins )
add_subdirectory( apps )
add_subdirectory( scripts )
add_subdirectory( utests )

=== src/plugins/CMakeLists.txt ===

##### subfolders

add_subdirectory( infowidget )
add_subdirectory( ipfilter )
add_subdirectory( logviewer )
add_subdirectory( partfileimport )
add_subdirectory( rssfeed )
add_subdirectory( scanfolder )
add_subdirectory( scheduler )
add_subdirectory( search )
add_subdirectory( stats )
add_subdirectory( upnp )
add_subdirectory( webinterface )
tde_conditional_add_subdirectory( WITH_ZEROCONF zeroconf  )

=== src/apps/ktorrent/CMakeLists.txt ===

##### subfolders

add_subdirectory( groups )
add_subdirectory( newui )


##### current folder

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libktorrent
  ${CMAKE_BINARY_DIR}/src/libktorrent
)


##### check for memory leakage tracing

if( WITH_MEMLEAK_TRACING )
  add_definitions(-DKT_LEAKTRACE )
endif( )


##### ktorrent (executable)

tde_add_executable( ktorrent AUTOMOC
  SOURCES
    addpeerwidget.cpp addpeerwidget.h addpeerwidgetbase.ui
    advancedpref.ui dcopinterface.skel downloadpref.ui fileselectdlg.cpp
    fileselectdlgbase.ui generalpref.ui ipfilterwidget.cpp ipfilterwidgetbase.ui ktorrent.cpp
    ktorrentapp.cpp ktorrentcore.cpp ktorrentdcop.cpp ktorrentview.cpp ktorrentviewitem.cpp
    ktorrentviewmenu.cpp leaktrace.cpp main.cpp pastedialog.cpp pastedlgbase.ui pref.cpp
    queuedialog.cpp queuedialog.h queuedlg.ui scandialog.cpp scandlgbase.ui
    speedlimitsdlg.cpp speedlimitsdlgbase.ui torrentcreatordlg.cpp torrentcreatordlg.h
    torrentcreatordlgbase.ui trayhoverpopup.cpp trayicon.cpp viewmanager.cpp filterbar.cpp
  LINK
    groups-static newui-static
    ktorrent-shared tdecore-shared tdeui-shared tdeio-shared DCOP-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other files

install(
  FILES ktorrentui.rc
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
  SOURCE ktorrentplugin.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

tde_create_translated_desktop(
  SOURCE ktorrent.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

if( WITH_TORRENT_MIMETYPE )
  tde_create_translated_desktop(
    SOURCE x-bittorrent.desktop
    DESTINATION ${MIME_INSTALL_DIR}/application
  )
endif()

tde_install_icons( ktorrent torrent DESTINATION ${SHARE_INSTALL_PREFIX}/icons )
tde_install_icons(
    ktencrypted ktinfowidget ktplugins ktprefdownloads ktqueuemanager
    ktremove ktstart ktstart_all ktstop ktstop_all ktupnp
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/icons
)

=== src/apps/kttorinfo/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src/libktorrent
)


##### kttorinfo (executable)

tde_add_executable( kttorinfo
  SOURCES main.cpp
  LINK ktorrent-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== src/libktorrent/interfaces/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### interfaces library (static)

tde_add_library( interfaces STATIC_PIC AUTOMOC
  SOURCES
    plugin.cpp coreinterface.cpp guiinterface.cpp prefpageinterface.cpp torrentinterface.cpp
    monitorinterface.cpp chunkdownloadinterface.cpp peerinterface.cpp torrentfileinterface.cpp
    filetreeitem.cpp filetreediritem.cpp functions.cpp logmonitorinterface.cpp
    ipblockinginterface.cpp trackerslist.cpp peersource.cpp exitoperation.cpp
)

=== src/libktorrent/util/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### check for profiling support

if( WITH_PROFILING_SUPPORT )
  add_definitions(-DKT_PROFILE )
endif( )


##### util library (static)

tde_add_library( util STATIC_PIC AUTOMOC
  SOURCES
    array.cpp autorotatelogjob.cpp bitset.cpp error.cpp file.cpp fileops.cpp functions.cpp
    httprequest.cpp log.cpp mmapfile.cpp profiler.cpp ptrmap.cpp sha1hash.cpp sha1hashgen.cpp
    timer.cpp urlencoder.cpp waitjob.cpp
  LINK
    torrent-static
)

=== src/plugins/ipfilter/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src/libktorrent
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### ktipfilterplugin (kpart)

tde_add_kpart( ktipfilterplugin AUTOMOC
  SOURCES
    ipfilterplugin.cpp ipblockingpref.ui ipblockingprefpage.cpp ipfilterpluginsettings.kcfgc
    antip2p.cpp convert_dlg.ui convertdialog.cpp
  LINK
    ktorrent-shared tdecore-shared tdeui-shared tdeio-shared tdeparts-shared tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES ktipfilterplugin.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

tde_create_translated_desktop(
  SOURCE ktipfilterplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/plugins/scheduler/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src/libktorrent
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### ktschedulerplugin (kpart)

tde_add_kpart( ktschedulerplugin AUTOMOC
  SOURCES
    schedulerplugin.cpp schedulerpluginsettings.kcfgc bwscheduler.cpp schedulerprefpagewidget.cpp
    schedulerpage.ui bwspage.ui bwsprefpagewidget.cpp bwswidget.cpp schedulerprefpage.cpp
  LINK
    ktorrent-shared tdecore-shared tdeui-shared tdeio-shared tdeparts-shared tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES ktschedulerpluginui.rc
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

install(
  FILES
    cell-a-0000.png cell-a-0001.png cell-a-0002.png cell-a-0003.png cell-a-0004.png
    cell-b-0000.png cell-b-0001.png cell-b-0002.png cell-b-0003.png cell-b-0004.png
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/icons
)

install(
  FILES ktschedulerplugin.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

tde_create_translated_desktop(
  SOURCE ktschedulerplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/plugins/search/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src/libktorrent
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### ktsearchplugin (kpart)

tde_add_kpart( ktsearchplugin AUTOMOC
  SOURCES
    searchplugin.cpp htmlpart.cpp searchbar.ui searchpref.ui searchwidget.cpp
    searchprefpage.cpp searchpluginsettings.kcfgc searchtab.cpp searchenginelist.cpp
  LINK
    ktorrent-shared tdecore-shared tdeui-shared tdeio-shared tdeparts-shared tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES ktsearchplugin.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

tde_create_translated_desktop(
  SOURCE ktsearchplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/plugins/upnp/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src/libktorrent
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### ktupnpplugin (kpart)

tde_add_library( ktupnp STATIC_PIC AUTOMOC
  SOURCES
    soap.cpp upnpdescriptionparser.cpp upnpmcastsocket.cpp upnprouter.cpp
)

tde_add_kpart( ktupnpplugin AUTOMOC
  SOURCES
    upnpplugin.cpp upnpprefpage.cpp upnpwidget.ui upnpprefwidget.cpp upnppluginsettings.kcfgc
  EMBED
    ktupnp-static
  LINK
    ktorrent-shared tdecore-shared tdeui-shared tdeio-shared tdeparts-shared tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES ktupnpplugin.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

tde_create_translated_desktop(
  SOURCE ktupnpplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/plugins/webinterface/CMakeLists.txt ===

##### subfolders

add_subdirectory( www )


##### current folder

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src/libktorrent
  ${CMAKE_BINARY_DIR}/src/libktorrent
)


##### ktwebinterfaceplugin (kpart)

tde_add_kpart( ktwebinterfaceplugin AUTOMOC
  SOURCES
    webinterfaceplugin.cpp httpserver.cpp php_handler.cpp php_interface.cpp webinterfacepref.ui
    webinterfacepluginsettings.kcfgc webinterfaceprefwidget.cpp webinterfaceprefpage.cpp
    httpclienthandler.cpp httpresponseheader.cpp
  LINK
    ktorrent-shared tdecore-shared tdeui-shared tdeio-shared tdeparts-shared tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES ktwebinterfaceplugin.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

tde_create_translated_desktop(
  SOURCE ktwebinterfaceplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

## ktorrent-trinity 3.5.13.2

=== debian/changelog ===
ktorrent-trinity (4:3.5.13.2-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:27:40 +0200

ktorrent-trinity (2.2.6-0ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

ktorrent-trinity (2.2.5-0ubuntu3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 06 March 2009 01:35:00 -0600

ktorrent-trinity (2.2.5-0ubuntu2) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 31 Dec 2008 15:45:00 -0600

ktorrent (2.2.5-0ubuntu1) hardy; urgency=low

  * New upstream release
   - Numerous bugfixes, notably to DHT and webui
  * Added a watchfile to track 2.x.x series

 -- John Dong <jdong@ubuntu.com>  Sun, 27 Jan 2008 17:26:13 -0500

ktorrent (2.2.4-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Drop kubuntu_04_revert_threaded_filelist, included upstream

 -- John Dong <jdong@ubuntu.com>  Wed, 21 Nov 2007 14:28:35 -0500

ktorrent (2.2.3-0ubuntu3) hardy; urgency=low

  * Adopt better approach from upstream for filelist (LP: #163426)
   - kubuntu_04_revert_threaded_filelist.patch: Switch to fix
    in r738262 using more responsive QTimers approach

 -- John Dong <jdong@ubuntu.com>  Sun, 18 Nov 2007 12:19:26 -0500

ktorrent (2.2.3-0ubuntu2) hardy; urgency=low

  * kubuntu_04_revert_threaded_filelist.patch: Revert svn revno 728567
    due to crashes. (LP: #163426)

 -- John Dong <jdong@ubuntu.com>  Sat, 17 Nov 2007 16:46:47 -0500

ktorrent (2.2.3-0ubuntu1) hardy; urgency=low

  * New upstream release
  * kubuntu_03_remove_nasty_search_engines.patch: rebase against 2.2.3
  * Add kdebase-kio-plugins to Recommends, needed for IP Filters plugin
    (LP: #150062)

 -- John Dong <jdong@ubuntu.com>  Fri, 16 Nov 2007 02:11:41 -0500

ktorrent (2.2.2-0ubuntu2) hardy; urgency=low

  * Reuploaded as the buildd seems to be fixed

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 12 Nov 2007 14:16:59 +0100

ktorrent (2.2.2-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Removed upstream_01_fix_exit_crash.patch, merged upstream

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 10 Nov 2007 11:22:05 +0100

ktorrent (2.2.1-0ubuntu3) gutsy; urgency=low

  * Fix debdiff spacing that I screwed up.
   - Fixes LP: #130300

 -- John Dong <jdong@ubuntu.com>  Sat, 11 Aug 2007 14:59:17 -0400

ktorrent (2.2.1-0ubuntu2) gutsy; urgency=low

  * Backport SVN rev 692284
    - Fixes LP: #130300

 -- John Dong <jdong@ubuntu.com>  Fri, 10 Aug 2007 11:27:51 -0400

ktorrent (2.2.1-0ubuntu1) gutsy; urgency=low

  * New upstream release
    - Fixes LP: #128341

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Wed, 25 Jul 2007 15:37:41 -0400

ktorrent (2.2-0ubuntu2) gutsy; urgency=low

  * Fixed homepage in debian/control. Fixes LP: #113972

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 18 Jul 2007 23:29:16 +0200

ktorrent (2.2-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 04 Jul 2007 14:43:57 +0200

ktorrent (2.2~rc1-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- jdong <jdong@ubuntu.com>  Wed, 13 Jun 2007 23:05:16 -0400

ktorrent (2.2~beta1-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- John Dong <jdong@ubuntu.com>  Sat, 26 May 2007 15:22:14 -0400

ktorrent (2.1.4-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- John Dong <jdong@ubuntu.com>  Tue, 24 Apr 2007 14:47:01 -0400

ktorrent (2.1.3-0ubuntu1) feisty; urgency=low

  * New upstream release
    * fixes crasher in 2.1.2 series

 -- John Dong <jdong@ubuntu.com>  Sat,  7 Apr 2007 22:04:38 -0400

ktorrent (2.1.2-0ubuntu1) feisty; urgency=low

  * New Upstream Release 

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri,  9 Mar 2007 13:09:09 -0600

ktorrent (2.1.1-0ubuntu1) feisty; urgency=low

  * New Upstream Release

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon,  5 Mar 2007 13:05:13 -0600

ktorrent (2.1-0ubuntu1) feisty; urgency=low

  * New upstream release

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon,  5 Feb 2007 20:52:18 +0100

ktorrent (2.1~rc1-0ubuntu3) feisty; urgency=low

  * debian/patches/kubuntu_03_remove_nasty_search_engines.patch:
    - isohunt is just back online.

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 22 Jan 2007 16:51:45 +0100

ktorrent (2.1~rc1-0ubuntu1) feisty; urgency=low

  * New upstream release
     * uTorrent-compatible Peer Exchange
     * Zeroconf LAN peer finder
     * Misc bugfixes
  * dropped debian/patches/kubuntu_01_autoconf2.60.patch, included upstream
  * dropped debian/patches/kubuntu_02_kdepot.patch, no longer needed

 -- John Dong <jdong@ubuntu.com>  Wed,  3 Jan 2007 15:21:56 -0500

ktorrent (2.1~beta1-0ubuntu2) feisty; urgency=low

  * Corrected builddeps (docbook2x instead of docbook)

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 18 Dec 2006 16:09:09 +0100

ktorrent (2.1~beta1-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Cleaned packaging, switching to cdbs
  * Removed obsolete kubuntu_03_powerpc_compile_fix.diff

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 05 Dec 2006 18:14:05 +0100

ktorrent (2.0.3+dfsg1-0ubuntu2) feisty; urgency=low

  * Add kubuntu_03_remove_nasty_search_engines.diff to remove
    nasty search engines

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 11 Nov 2006 15:56:19 -0800

ktorrent (2.0.3+dfsg1-0ubuntu1) edgy; urgency=low

  * built with GeoIP support enabled, but removed the database file
    and country flags due to licensing restrictions (see README.Debian)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Oct 2006 12:56:19 +0100

ktorrent (2.0.3-0ubuntu4) edgy; urgency=low

  * Add kubuntu_00_autoconf2.60.diff to allow relibtoolise with autoconf 2.6
  * Add kubuntu_02_powerpc_compile_fix.diff to fix fail to build on powerpc, 


=== debian/control ===
Source: ktorrent-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 5.0), quilt, cdbs, docbook2x, kdelibs4-trinity-dev, libpcre3-dev, libx11-dev, libgmp3-dev, libavahi-tqt-dev, libgeoip-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: ktorrent-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: php5-cli
Recommends: kdebase-kio-plugins-trinity
Description: BitTorrent client for Trinity
 KTorrent is a BitTorrent program for Trinity. Its features include speed capping
 (both down and up), integrated searching, UDP tracker support, preview of
 certain file types (video and audio) and integration into the KDE Panel
 enabling background downloading.
 .
  Homepage: http://ktorrent.org

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include debian/cdbs/debian-qt-kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_INSTALL_MANPAGES_ktorrent = ktorrent.1

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

build/ktorrent-trinity::
	docbook2x-man debian/ktorrent.1.docbook

clean::
	rm -f ktorrent.1

## ktorrent-trinity 14.0.6

=== debian/changelog ===
ktorrent-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:25:49 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include debian/cdbs/debian-qt-kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_INSTALL_MANPAGES_ktorrent = ktorrent.1

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

build/ktorrent-trinity::
	docbook2x-man debian/ktorrent.1.docbook

clean::
	rm -f ktorrent.1

## ktorrent-trinity 14.0.9

=== debian/changelog ===
ktorrent-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Oct 2020 22:37:19 +0200

=== debian/control ===
Source: ktorrent-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 9~), quilt, cdbs, docbook2x, tdelibs14-trinity-dev, libpcre3-dev, libx11-dev, libgmp3-dev, libavahi-tqt-dev, libgeoip-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: ktorrent-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ktorrent-kde3 (<< 4:14.0.0~), ktorrent-trinity (<< 4:14.0.0~)
Breaks: ktorrent-kde3 (<< 4:14.0.0~), ktorrent-trinity (<< 4:14.0.0~)
Suggests: php-cli | php5-cli
Recommends: tdebase-tdeio-plugins-trinity
Description: BitTorrent client for Trinity
 KTorrent is a BitTorrent program for Trinity. Its features include speed capping
 (both down and up), integrated searching, UDP tracker support, preview of
 certain file types (video and audio) and integration into the TDE Panel
 enabling background downloading.
 .
  Homepage: http://ktorrent.org

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-include debian/cdbs/debian-qt-kde.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man

## ktorrent-trinity 14.0.10

=== debian/changelog ===
ktorrent-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## ktorrent-trinity 14.0.11

=== debian/changelog ===
ktorrent-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:34:59 +0200

## ktorrent-trinity 14.0.12

=== debian/changelog ===
ktorrent-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 24 Apr 2022 23:41:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ktorrent-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: debhelper (>= 9~), quilt, cdbs, docbook2x, tdelibs14-trinity-dev, libpcre3-dev, libx11-dev, libgmp3-dev, libavahi-tqt-dev, libgeoip-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde
 
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
-
 build/ktorrent-trinity::
 	docbook2x-man debian/ktorrent.1.docbook

=== debian/watch ===
version=3

http://ktorrent.org/downloads/(^2\.[\d\.]+)/ktorrent-(.*)\.tar\.bz2

## ktorrent-trinity 14.0.13

=== debian/changelog ===
ktorrent-trinity (4:14.0.13-0raspbian9.0.0+0) raspbian-stretch; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 25 Sep 2022 11:28:45 +0200

## ktorrent-trinity 14.1.0

=== debian/changelog ===
ktorrent-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Jan 2023 13:17:49 +0100

## ktorrent-trinity 14.1.1

=== debian/changelog ===
ktorrent-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 28 Sep 2023 05:53:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, docbook2x, tdelibs14-trinity-dev, libpcre3-dev, libx11-dev, libgmp3-dev, libavahi-tqt-dev, libgeoip-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, tdelibs14-trinity-dev, libpcre3-dev, libx11-dev, libgmp3-dev, libavahi-tqt-dev, libgeoip-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: ktorrent-trinity

## ktorrent-trinity 14.1.2

=== debian/changelog ===
ktorrent-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Apr 2024 15:24:46 +0200

## ktorrent-trinity 14.1.3

=== debian/changelog ===
ktorrent-trinity (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:13:23 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,3 @@
 DEB_INSTALL_MANPAGES_ktorrent = ktorrent.1
 
 DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde
-
-build/ktorrent-trinity::
-	docbook2x-man debian/ktorrent.1.docbook
-
-clean::
-	rm -f ktorrent.1

## ktorrent-trinity 14.1.4

=== debian/changelog ===
ktorrent-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 15 Apr 2025 03:59:55 +0200

## ktorrent-trinity 14.1.5~pre8

=== debian/changelog ===
ktorrent-trinity (4:14.1.5~pre8-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 51067729b26d6e946eccae92591806f9452f1b93
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## ktorrent-trinity 14.1.5

=== debian/changelog ===
ktorrent-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, tdelibs14-trinity-dev, libpcre3-dev, libx11-dev, libgmp3-dev, libavahi-tqt-dev, libgeoip-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libx11-dev, libgmp3-dev, libavahi-tqt-dev, libgeoip-dev
 Standards-Version: 3.8.4
 
 Package: ktorrent-trinity

## ktorrent-trinity 14.1.6~pre0

=== debian/changelog ===
ktorrent-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 51067729b26d6e946eccae92591806f9452f1b93
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## ktorrent-trinity 14.1.6~pre1

=== debian/changelog ===
ktorrent-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 14954b18b9f77827c04a77c889a8c66bba4a5041
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:43:11 +0100

## ktorrent-trinity 14.2.0~pre88

=== src/libktorrent/mse/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/..
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### mse library (static)

tde_add_library( mse STATIC_PIC AUTOMOC
  SOURCES
    bigint.cpp rc4encryptor.cpp streamsocket.cpp encryptedauthenticate.cpp
    encryptedserverauthenticate.cpp functions.cpp
  LINK
    ${GMP_LIBRARIES}
)

=== src/plugins/rssfeed/CMakeLists.txt ===

##### subfolders

add_subdirectory( rss )


##### current folder

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src/libktorrent
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### ktrssfeedplugin (kpart)

tde_add_kpart( ktrssfeedplugin AUTOMOC
  SOURCES
    rssfeedplugin.cpp rssfeedmanager.cpp rssfeedwidget.ui rssfeed.cpp
    rssfilter.cpp rssarticle.cpp rsslinkdownloader.cpp
  LINK
    rsslocal-static
    ktorrent-shared tdecore-shared tdeui-shared tdeio-shared tdeparts-shared tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES ktrssfeedplugin.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

tde_create_translated_desktop(
  SOURCE ktrssfeedplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/plugins/webinterface/www/CMakeLists.txt ===
tde_auto_add_subdirectories()

=== src/plugins/webinterface/www/mobile/CMakeLists.txt ===

##### other files

install(
  FILES
    favicon.ico interface.php ktorrentwebinterfacelogo.png login.html
    remove.png start.png stop.png settings.php torrent.php
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/www/mobile
)

=== src/plugins/webinterface/www/coldmilk/icons/22x22/CMakeLists.txt ===

##### icon files

install(
  FILES exit.png ktstart_all.png ktstop_all.png remove.png start.png stop.png
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/www/coldmilk/icons/22x22
)

=== debian/changelog ===
ktorrent-trinity (4:14.2.0~pre88-0ubuntu26.04.0+8~a) resolute; urgency=low

  * Automated git build for 2675a2b7cecee57d0cb130ca4b6339cdb3950857
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## ktorrent-trinity 14.2.0~pre89

=== debian/changelog ===
ktorrent-trinity (4:14.2.0~pre89-0ubuntu26.04.0+8~a) resolute; urgency=low

  * Automated git build for 2c6c2c5ce797b655bc2da1c9a48602d8ad598419
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#ktorrent

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:57:08 +0100
